import { EventEmitter } from '@angular/core';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class InputToggle {
    private loggerService;
    value: boolean;
    disabled: boolean;
    onText: string;
    offText: string;
    change: EventEmitter<boolean>;
    constructor(loggerService: LoggerService);
    ngOnChanges(change: any): void;
    updateValue($event: any): void;
}
